from django.forms.models import ModelForm

from .models import RealEstate


class RealEstateForm(ModelForm):

    class Meta:
        model = RealEstate
        fields = '__all__'

    def clean_price(self):
        """
        An empty price means zero (don't want None prices for sorting purposes).
        """
        return self.cleaned_data['price'] or 0

    def clean_min_bedrooms(self):
        """
        An empty min_bedrooms means None.
        """
        return self.cleaned_data['min_bedrooms'] or None

    def clean_max_bedrooms(self):
        """
        An empty max_bedrooms means None.
        """
        return self.cleaned_data['max_bedrooms'] or None
