from optparse import make_option
import json

from django.core.management.base import BaseCommand

from fasad.models import RealEstate


class Command(BaseCommand):
    help = 'Gets a real estate object from FasAd and writes it to disk as prettified JSON.'

    def handle(self, *args, **options):
        if len(args) != 1:
            message = 'This command takes exactly one argument, the FasAd ID (got {} argument(s)).'
            self.stdout.write(message.format(len(args)))
        else:
            fasad_id = args[0]
            self.stdout.write('Fetching item: {}'.format(fasad_id))
            json_item = RealEstate.objects._get_item_from_fasad_as_json(fasad_id)

            with open('./data.json', mode='w', encoding='utf-8') as f:
                f.write(json.dumps(json_item, sort_keys=True, indent=4))

            self.stdout.write('Done.')
