# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Association',
            fields=[
                ('id', models.AutoField(serialize=False, verbose_name='ID', primary_key=True, auto_created=True)),
                ('name', models.CharField(max_length=100)),
                ('organization_number', models.CharField(max_length=20)),
                ('genuine', models.NullBooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='Document',
            fields=[
                ('id', models.AutoField(serialize=False, verbose_name='ID', primary_key=True, auto_created=True)),
                ('name', models.CharField(max_length=100)),
                ('url', models.URLField()),
                ('file_size', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.AutoField(serialize=False, verbose_name='ID', primary_key=True, auto_created=True)),
                ('fasad_id', models.IntegerField()),
                ('category', models.CharField(max_length=100)),
                ('comment', models.CharField(max_length=200)),
                ('width', models.IntegerField()),
                ('height', models.IntegerField()),
                ('landscape_index', models.IntegerField()),
                ('portrait', models.BooleanField(default=False)),
                ('panorama', models.BooleanField(default=False)),
                ('floorplan', models.BooleanField(default=False)),
                ('file_size', models.IntegerField()),
                ('source_url', models.URLField(max_length=255)),
            ],
            options={
                'ordering': ['pk'],
            },
        ),
        migrations.CreateModel(
            name='RealEstate',
            fields=[
                ('id', models.AutoField(serialize=False, verbose_name='ID', primary_key=True, auto_created=True)),
                ('fasad_id', models.IntegerField()),
                ('slug', models.SlugField(blank=True)),
                ('address', models.CharField(blank=True, max_length=200)),
                ('country', models.CharField(blank=True, max_length=100)),
                ('city', models.CharField(blank=True, max_length=100)),
                ('district', models.CharField(blank=True, max_length=100)),
                ('zip_code', models.CharField(blank=True, max_length=20)),
                ('latitude', models.FloatField(blank=True)),
                ('longitude', models.FloatField(blank=True)),
                ('currency', models.CharField(blank=True, max_length=10)),
                ('price', models.IntegerField(blank=True)),
                ('price_comment', models.CharField(blank=True, max_length=200)),
                ('fee', models.IntegerField(blank=True, null=True)),
                ('included_in_fee', models.CharField(blank=True, max_length=200)),
                ('not_included_in_fee', models.CharField(blank=True, max_length=200)),
                ('apartment_number', models.CharField(blank=True, max_length=100)),
                ('rooms', models.CharField(blank=True, max_length=10)),
                ('rooms_comment', models.CharField(blank=True, max_length=200)),
                ('min_bedrooms', models.IntegerField(blank=True, null=True)),
                ('max_bedrooms', models.IntegerField(blank=True, null=True)),
                ('living_area', models.FloatField(blank=True)),
                ('living_area_unit', models.CharField(blank=True, max_length=20)),
                ('form_of_ownership', models.CharField(max_length=200)),
                ('status', models.CharField(blank=True, max_length=100)),
                ('sold', models.BooleanField(default=False)),
                ('estate_type', models.CharField(blank=True, max_length=100)),
                ('estate_type_id', models.IntegerField(blank=True, null=True)),
                ('balcony', models.CharField(blank=True, null=True, max_length=200)),
                ('floor', models.CharField(blank=True, max_length=200)),
                ('elevator', models.NullBooleanField(default=False)),
                ('abroad', models.BooleanField(default=False)),
                ('in_the_city', models.BooleanField(default=False)),
                ('is_priority_type', models.BooleanField(default=False)),
                ('upcoming', models.BooleanField(default=False)),
                ('building_type', models.CharField(blank=True, max_length=200)),
                ('building_year', models.CharField(blank=True, max_length=200)),
                ('heating_type', models.CharField(blank=True, max_length=200)),
                ('television_and_broadband', models.CharField(blank=True, max_length=200)),
                ('association_part', models.CharField(blank=True, max_length=100)),
                ('foundation', models.CharField(blank=True, max_length=200)),
                ('framework', models.CharField(blank=True, max_length=200)),
                ('loft_floor', models.CharField(blank=True, max_length=200)),
                ('facade', models.CharField(blank=True, max_length=200)),
                ('roof', models.CharField(blank=True, max_length=200)),
                ('chimney', models.CharField(blank=True, max_length=200)),
                ('chimneypot', models.CharField(blank=True, max_length=200)),
                ('energy_ventilation', models.CharField(blank=True, max_length=200)),
                ('municipal_water', models.CharField(blank=True, max_length=200)),
                ('metalwork', models.CharField(blank=True, max_length=200)),
                ('window', models.CharField(blank=True, max_length=200)),
                ('fireplace', models.CharField(blank=True, max_length=200)),
                ('transfer_fee', models.IntegerField(blank=True, null=True)),
                ('pledge_fee', models.IntegerField(blank=True, null=True)),
                ('monthly_operating_costs', models.IntegerField(blank=True, null=True)),
                ('yearly_operating_costs', models.IntegerField(blank=True, null=True)),
                ('operating_costs_text', models.TextField(blank=True)),
                ('operating_costs_comment', models.TextField(blank=True)),
                ('description', models.TextField(blank=True)),
                ('room_description', models.TextField(blank=True)),
                ('district_description', models.TextField(blank=True)),
                ('association_description', models.TextField(blank=True)),
                ('detailed_description', models.TextField(blank=True)),
                ('published_date', models.DateTimeField()),
                ('modified_date', models.DateTimeField()),
                ('association', models.ForeignKey(blank=True, to='fasad.Association', null=True)),
            ],
            options={
                'ordering': ['abroad', '-in_the_city', '-is_priority_type', '-price', '-living_area'],
            },
        ),
        migrations.CreateModel(
            name='Realtor',
            fields=[
                ('id', models.AutoField(serialize=False, verbose_name='ID', primary_key=True, auto_created=True)),
                ('fasad_id', models.IntegerField()),
                ('first_name', models.CharField(max_length=100)),
                ('last_name', models.CharField(max_length=100)),
                ('title', models.CharField(max_length=100)),
                ('email', models.CharField(max_length=100)),
                ('phone', models.CharField(max_length=30)),
                ('image_url', models.URLField()),
                ('public', models.BooleanField(default=False)),
            ],
        ),
        migrations.AddField(
            model_name='realestate',
            name='realtor',
            field=models.ForeignKey(to='fasad.Realtor'),
        ),
        migrations.AddField(
            model_name='image',
            name='real_estate',
            field=models.ForeignKey(to='fasad.RealEstate'),
        ),
        migrations.AddField(
            model_name='document',
            name='real_estate',
            field=models.ForeignKey(to='fasad.RealEstate'),
        ),
    ]
