#!/usr/bin/env python

import os

from setuptools import setup, find_packages

with open('README.rst', mode='r', encoding='utf-8') as f:
    readme = f.read()

setup(
    name='django-fasad',
    version='0.1.36',
    description='Rich API for the realtor business system FasAd.',
    long_description=readme,
    author='Niclas Åhdén',
    author_email='niclas.ahden@gmail.com',
    url='https://pypi.python.org/pypi/django-fasad',
    packages=find_packages(),
    package_data={'': ['LICENSE']},
    include_package_data=True,
    install_requires=[
        'Django>=1.10',
        'requests>=2.11',
        'xmltodict>=0.10',
        'factory-boy>=2.7',
        'fake-factory>=0.7',
    ],
    license='BSD',
    zip_safe=False,
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'Framework :: Django',
        'License :: OSI Approved :: BSD License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.4',
    ],
)
